﻿@model OperationalRiskException.Core.ViewModels.ScriptVM
@{
    Layout = null;
}
<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8" />
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <title>@ViewBag.Title   </title>

    @Scripts.Render("~/bundles/modernizr")
    <link rel="stylesheet" href="~/Content/vendors/mdi/css/materialdesignicons.min.css">
    <link rel="stylesheet" href="~/Content/vendors/base/vendor.bundle.base.css">
    <link rel="stylesheet" href="~/Content/css/style.css">
    <link rel="shortcut icon" href="images/favicon.png" />
    <link rel="stylesheet" href="~/Content/css/jquery-ui.min.css">
    @Scripts.Render("~/bundles/jquery")
    @Scripts.Render("~/bundles/jqueryval")
    <link rel="stylesheet" href="~/Content/Site.css">
    <link rel="stylesheet" href="~/Content/css/toastr.css">

</head>


<body>
    <div class="container-scroller">
        <div class="loader"></div>
        @Html.Partial("_HeaderView")
        <div class="container-fluid page-body-wrapper">
            <nav class="sidebar sidebar-offcanvas" id="sidebar">
                <ul class="nav">

                    <li class="nav-item">

                        <div class="" id="ui-basic">
                            <ul class="nav flex-column sub-menu" id="list-menu">
                            </ul>
                        </div>
                    </li>

                </ul>
            </nav>
            <div class="main-panel">
                <div class="content-wrapper">
                    <div class="row">
                        <a class="btn btn-danger pt-1 pb-1 mb-4" href="@Url.Action("Index", "operationalrisk")">Back to Dashboard</a>

                        <div class="col-sm-12">
                            <div class="card" id="session">
                                <h2 class="card-header text-center">Section (<span id="questionCategory"></span>) </h2>
                                <div class="row">

                                    <div class="col-md-4 ">
                                        <div class="form-group mt-5" id="fileSaved">

                                        </div>
                                    </div>
                                </div>


                                <div class="card-body">
                                    <h5 class="card-title"></h5>
                                    <form id="form-questn">
                                    </form>
                                </div>
                                <div class="card-footer float-btn ">
                                    @*<a href="#" class="btn btn-danger">Save Session</a> &nbsp; &nbsp;*@
                                    <div class="d-flex justify-content-between mt-5 mb-5" id="btnSave">  </div>
                                    <div class="d-flex justify-content-center mt-5 mb-5" id="paginate">  </div>
                                </div>

                                <div class="card-footer float-btn ">
                                    @*<a href="#" class="btn btn-danger">Save Session</a> &nbsp; &nbsp;*@
                                    <div class="d-flex justify-content-center mt-5 mb-5" id="btnapprove">  </div>

                                </div>
                            </div>
                        </div>

                    </div>
                </div>
                <footer class="footer">
                    <div class="d-sm-flex justify-content-center justify-content-sm-between">
                        <span class="text-muted text-center text-sm-left d-block d-sm-inline-block">Copyright © 2020 <a href="https://www.ubagroup.com/" target="_blank">UBA Group</a>. All rights reserved.</span>
                    </div>
                </footer>
            </div>
        </div>
    </div>



    <script type="text/javascript">
    var allQuestions = [];
        var counter = 0;
        var sessionTotal = 0;
        var counterAns = 0;
        var fileUpload = [];
        var fileCheck = "";

     @*var optionListUrl = '@Url.Action("GetAllQuestionsAsync", "AssessmentPortal")?userId=@Model.UserId&setupId=@Model.SetupId';*@
         var optionListUrl = '@Url.Action("GetUserRecords", "OperationalRisk")?userId=@Model.UserId&setupId=@Model.SetupId';
        questionArray();

        // Display all question
    function questionArray() {
        $.ajax({
            type: 'GET',
            url: optionListUrl,
           // data: "",
            dataType: 'json',
            success: function (data) {
                allQuestions = data.data;
                $.each(allQuestions, function (i, value) {
                    $("#list-menu").append($('<li class="nav-item">  <a class="nav-link" href="#" onclick=moveCategory(' + i + ') id="check' + i + '" > ' + value.CategoryName + '</a></li>'));

                });
                   displayCategoryQuestions(counter)
            }
        });
         $("#btnapprove").append($('<button type="submit" onclick="approve()" class="btn btn-success mr-2">Approve  Assessment  </button>'));
          $("#btnapprove").append($('<button type="submit" onclick="reject()" class="btn btn-danger mr-2 pull-right">Reject  Assessment  </button>'));

        }
         function reject() {
                            var formData = { UserId: @Model.UserId, SetupId: @Model.SetupId };
                var url = '@Url.Action("RejectedTest", "ApprovedAssessment")';
                var saveData = $.ajax({
                    type: 'POST',
                    url: url,
                    data: JSON.stringify(formData),
                    contentType: 'application/json; charset=utf-8',
                    dataType: "json",
                    success: function (resultData) {
                        if (resultData.data) {
                            toastr.success("Successfully rejected the assessment", "Notification");
                            var url = '@Url.Action("Index", "OperationalRisk")';
                            window.location.href = url;
                        }
                           
                        else {
                             toastr.error("The assessment failed to be updated::: Contact the Admininstator on this platform", "Notification");
                           
                        }


            
                    }
                });
        }
        function approve() {
            var formData = { UserId: @Model.UserId, SetupId: @Model.SetupId };
            var url = '@Url.Action("ApprovedTest", "ApprovedAssessment")';
                var saveData = $.ajax({
                    type: 'POST',
                    url: url,
                    data: JSON.stringify(formData),
                    contentType: 'application/json; charset=utf-8',
                    dataType: "json",
                    success: function (resultData) {
                        if (resultData.data)
                           {
                            toastr.success("Successfully approved the assessment", "Notification");
                           var url = '@Url.Action("Index", "OperationalRisk")';
                            window.location.href = url;
                        }
                        else {
                            toastr.error("The assessment failed to be updated::: Contact the Admininstator on this platform", "Notification");
                           
                        }


            
                    }
                });
        }
        function displayCategoryQuestions(value) {
            counter = value;
            $('#fileSaved').empty();
             var cateId = allQuestions[value].QuestionCategoryId;
            $("#questionCategory").html(allQuestions[counter].CategoryName);
            formFileUpload(cateId);
            $("[id*='check']").removeClass("active");
            $("#check" + counter).addClass('active');
            $("#btnSave").empty();
            $("#paginate").empty();
            var arrayLength = allQuestions.length;
            var presentValue = counter + 1;
            $("#paginate").append($('<i> Page' + presentValue + ' of  '+arrayLength+'</i>'))
            //console.log("value", counter);
            //console.log("Length", allQuestions.length);
            if (counter > 0) {
                $("#btnSave").append($('<button type="button" onclick="previousBtn(' + value + ')" class="btn btn-secondary mr-4"> Previous (Review Assessment) </button>'));
         
            }
               if (presentValue < arrayLength) {
                $("#btnSave").append($('<button type="submit" onclick="submitForm()" class="btn btn-secondary mr-2">Next (Review Assessment)  </button>'));

            }
            else {
                
            }
           // $("#btnSave").append($('<button type="submit" onclick="submitForm()" class="btn btn-danger mr-2">' + (presentValue < arrayLength ? 'Next' : 'Submit') + '</button>'));
            $("#form-questn").empty();

            $.each(allQuestions[value].answers, function (i, value) {
               // $("#form-questn").append($('<div class="card question mb-2 p-3"> <h4> ('+(i+1)+')  ' + value.AttachmentName + ' </h4><div class="option" > <label><input type="radio" id="opt'+(value.QuestionId)+'v'+1+'" name="' + value.QuestionId + '" value="1" class="choice" required /> Yes</label> <br /> <label><input type="radio" required id="opt'+(value.QuestionId)+'v'+2+'"   name="' + value.QuestionId + '" value="2" class="choice" /> No</label> <br /> <label><input type="radio" id="opt'+(value.QuestionId)+'v'+3+'"   name="' + value.QuestionId + '" value="3" class="choice" />  Not Applicable</label>  </div> </div>'));
                $("#form-questn").append($('<div class="row question mb-2 p-3"> <h4 class="col-md-12"> (' + (i + 1) + ')' + value.AttachmentName +
                    ' </h4>  <div class="col-md-6"><p class="">  <a href="'
                    + value.QuestionFilePath + '" class="btn btn-light btn-mb mb-3  "><i class="mdi mdi-download"></i>Assessment Sample Download</a></p></div><div class="col-md-6">   <a href="'
                    + value.AnswerPath + '" class="btn btn-primary btn-mb mb-3 "><i class="mdi mdi-download"></i>Submitted Document Download</a> </div>   </div > '));
            })
           

        }
        function fileSavedRecord(fileCheckee) {
            $('#fileSaved').empty();
            // var urlSavedAns = "@Url.Content("'+fileCheckee+'")";
           var newfileCheckee = "~Doc/" + fileCheckee;
            return   $('#fileSaved').append('<a target="_blank" href='+newfileCheckee+' class=""> <i class="mdi mdi-download mr-3 icon-lg text-warning"></i>Download Sample Uploaded</a>');
        }

       @*function savedAnswers(QuestionCatId) {
            var urlSavedAns='@Url.Action("GetAllResult")'
               $.ajax({
            url: urlSavedAns,
            type: 'GET',
            datatype: 'json',
            contentType: false,
            processData: false,
            async: false,
            data: 'QuestionCatId='+QuestionCatId+'',
                   success: function (response) {
                       if (response.data) {
                           $("div[class^='ans'],div[class*=' ans']").empty();

                           counterAns = response.data.answers.length;
                           $.each(response.data.answers, function (key, value) {
                               console.log('Value' + value)
                               $('.ans' + value.QuestionId).append('<a class="btn btn-danger btn-sm" href="' + value.FilePath + '">Upload</a>');
                               debugger;
                           });

                           fileCheck = response.data.FileDto;
                           if (fileCheck != null) {
                               fileSavedRecord(fileCheck);
                           }
                       }
                   }
        });
        }*@

        function previousBtn(value) {
              var presentValue = counter -1;
            displayCategoryQuestions(presentValue);
        }
        function moveCategory(value) {
            //var check = validation();
            //if (check) {


                displayCategoryQuestions(value);
           // }

        }
        function formFileUpload(cateId) {
            //Button
            $("#filetoup").val(null);
             $(".file-upload-info").val('Upload Sample');
             $("#savefileBtn").empty();
            $("#savefileBtn").append($(' <button onclick="saveFile(' + cateId + ')" class="btn btn-primary  btn-fw"> Upload Sample</button>'))


        }
        function saveQuestionDB(fileData) {
            debugger;
            var url = '@Url.Action("UploadAnswerAsync","AssessmentPortal")';
            $.ajax({
            url: url,
            type: 'post',
            datatype: 'json',
            contentType: false,
            processData: false,
            async: false,
            data: fileData,
            success: function (response) {
                console.log(response)
                if (response.data == "failed") {
                    toastr.error("Incorrect file format", "File failed to upload")
                }
                else {
                    fileCheck = response.data;
                    toastr.success("Successfully Submitted");

                }
            }
        });
        }

        function fetchRecords() {
            // Fetch all the records from backend;
            // patchvalue
        }
     
        function submitForm() {
            // first check ur local db
            // if exist patch value to the db
            // else not check online;
            // and save into local data
            // if there's nothing online
            var arrayLength = allQuestions.length;
            var presentValue = counter + 1;

              if (presentValue < arrayLength) {
                displayCategoryQuestions(presentValue)
            }

//            localStorage.setItem("","");
        }
        @*function validation() {
            // file Upload
            // Input type
            debugger;
            var getcount = allQuestions[counter].Count;
            var fieldCount = counterAns
            if (fieldCount != getcount) {
                getcount =getcount - fieldCount  ;
                console.log(getcount);
                toastr.error('kindly, upload all the required documents <br/>  '+ getcount +'  (s) left to be uploaded!!!', "Validation");
                return false;
            }
            return true;
        }

        function finalAssessment() {
            var url = '@Url.Action("SaveFinalAssessment","AssessmentPortal")';
            $.ajax({
            url: url,
            type: 'GET',
            datatype: 'json',
            contentType: false,
            processData: false,
            async: false,
            success: function (response) {
                console.log(response)
                if (!response.data) {
                    toastr.error('Error occured while submitting your files /r contact the Admin on this platform')
                }
                else {
                    toastr.success("Successfully Submitted");
                    var url = '@Url.Action("Dashboard", "AssessmentPortal")';
                    window.location.href = url;


                }
            }
        });
}*@

    </script>

    @*<script type="text/javascript">
        var allQuestions = [];
            var counter = 0;
            var sessionTotal = 0;
            var fileUpload = [];
            var fileCheck = "";

         var optionListUrl = '@Url.Action("GetUserRecords", "OperationalRisk")?userId=@Model.UserId&setupId=@Model.SetupId';
            answerArray();
            // Display all question
        function answerArray() {
            $.ajax({
                type: 'GET',
                url: optionListUrl,
               // data: "",
                dataType: 'json',
                success: function (data) {
                    allQuestions = data.data;
                    $.each(allQuestions, function (i, value) {
                        $("#list-menu").append($('<li class="nav-item">  <a class="nav-link" href="#" onclick=moveCategory(' + i + ') id="check' + i + '" > ' + value.CategoryName + '</a></li>'));

                    });
                       displayCategoryQuestions(counter)
                }
            });
            }
                function fileSavedRecord(fileCheckee) {
                $('#fileSaved').empty();
               // var urlSavedAns = "@Url.Content("'+fileCheckee+'")";
                return   $('#fileSaved').append('<a target="_blank" href='+fileCheckee+' class=""> <i class="mdi mdi-download mr-3 icon-lg text-warning"></i>Download Sample Uploaded</a>');
            }
            function displayCategoryQuestions(value) {
                counter = value;
                fileSavedRecord(allQuestions[counter].FileDto);
                $("#questionCategory").html(allQuestions[counter].CategoryName);
                $("[id*='check']").removeClass("active");
                $("#check" + counter).addClass('active');
                $("#btnSave").empty();
                var arrayLength = allQuestions.length;
                var presentValue = counter + 1;
                if(counter>0)
                 $("#btnSave").append($('<button type="button" onclick="previousBtn('+value+')" class="btn btn-light mr-4"> Previous  </button>'));
                $("#btnSave").append($('<button type="submit" onclick="submitForm()" class="btn btn-danger mr-2">' + (presentValue<arrayLength?'Next ':'Close') + '</button>'));
                $("#form-questn").empty();

                $.each(allQuestions[value].answers, function (i, value) {
                    $("#form-questn").append($('<div class="card question mb-2 p-3"> <h4> ('+(i+1)+') ' + value.QuestionTest + ' </h4> <div class="option" > '+((value.answerEnum==1)?'a) Yes':(value.answerEnum==2)?'b) No':'c) Not Applicable')+'   </div> </div> '));
                })
                //Testing checked answer.

            }
            function fileSavedRecord(fileCheckee) {
                $('#fileSaved').empty();
               var urlSavedAns = fileCheckee;

                return   $('#fileSaved').append('<a target="_blank" href='+urlSavedAns+' class=""> <i class="mdi mdi-download mr-3 icon-lg text-warning"></i>Download Sample Uploaded</a>');
            }

            function submitForm() {
                // first check ur local db
                // if exist patch value to the db
                // else not check online;
                // and save into local data
                // if there's nothing online
                var arrayLength = allQuestions.length;
                var presentValue = counter + 1;
                if (presentValue<arrayLength ) {
                    counter = counter + 1;
                    displayCategoryQuestions(counter);
                }
                else {
                    var url = '@Url.Action("Index")';
                       window.location.href = url;
                }
            }
            function previousBtn(value) {
                value -= value;
                displayCategoryQuestions(value);
            }
            function moveCategory(value) {
                //var check = validation();
                //if (check) {


                   // displayCategoryQuestions(value);
               // }

            }


            function fetchRecords() {
                // Fetch all the records from backend;
                // patchvalue
            }





        </script>*@
    @Scripts.Render("~/bundles/bootstrap")
    <script src="~/Content/vendors/base/vendor.bundle.base.js"></script>
    <script src="~/Scripts/js/toastr.js"></script>
    <script src="~/Scripts/js/off-canvas.js"></script>
    <script src="~/Scripts/js/hoverable-collapse.js"></script>
    <script src="~/Scripts/js/template.js"></script>
    <script src="~/Scripts/js/loader.js"></script>

    @Scripts.Render("~/bundles/jquery-ui")


</body>
</html>
